Bug 171985 - rhel4 u2 - Null pointer dereference in alc880_auto_fill_dac_nids
rhel4 u2 - Null pointer dereference in alc880_auto_fill_dac_nids
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On: 172129
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-10-28 13:32 EDT by Jeffrey Moyer
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 15:35:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeffrey Moyer 2005-10-28 13:32:35 EDT
Description of problem:

I get the following OOPs on bootup with U2 kernels.  The machine is an x86_64
running the 32bit OS.

Unable to handle paging request at virtual address 00000000

EIP is at alc880_auto_fill_dac_nids

alc880_parse_auto_config
patch_alc880
snd_hda_codec_new
snd_hda_bus_new
azx_codec_create
azx_snd_cmd
azx_get_response
azx_probe
pci_device_probe_static
__pci_device_probe
pci_device_probe
bus_match
driver_attach
bus_add_driver
pci_register_driver
sys_init_module
syscall_call

Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-22.EL

How reproducible:
Every boot.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John W. Linville 2005-11-15 17:02:45 EST
I have test kernels w/ an azx (hda-intel) update here: 
 
   http://people.redhat.com/linville/kernels/rhel4/ 
 
Please give those a try and post the results here...thanks! 
Comment 2 Jeffrey Moyer 2005-11-15 17:27:23 EST
This fixes the problem for me.  Thanks!  Here is the information printed in
/var/log/messages during a successful boot:

Nov 14 22:29:56 dhcp83-77 kernel: hda_codec: Unknown model for ALC880, trying
auto-probe from BIOS...
Nov 14 22:29:56 dhcp83-77 kernel: hda_codec: num_steps = 0 for NID=0x8
Nov 14 22:29:56 dhcp83-77 kernel: hw_random hardware driver 1.0.0 loaded
Comment 8 Red Hat Bugzilla 2006-03-07 15:35:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.